Skip to main content
GET
/
Project
/
{projectId}
/
Overview
Get project overview
curl --request GET \
  --url https://api.plantpredict.terabase.energy/Project/{projectId}/Overview \
  --header 'Authorization: Bearer <token>'
{
  "id": 76494,
  "name": "Sample Project",
  "country": "United States",
  "countryCode": "US",
  "createdDate": "2022-12-15T21:28:50.34",
  "elevation": 178.5460357666016,
  "region": "North America",
  "standardOffsetFromUTC": -5,
  "lastModified": "2022-12-15T21:28:50.34",
  "locality": "Toledo",
  "latitude": 41.6528052,
  "longitude": -83.5378674,
  "stateProvinceCode": "OH",
  "status": 0,
  "predictions": [
    {
      "id": 460910,
      "name": "Sample Block Prediction",
      "projectId": 76494,
      "ownerId": 5093,
      "status": 1,
      "lastModified": "2022-12-15T22:02:04.223",
      "isBatch": false,
      "batchQualified": true,
      "useMapBuilder": false,
      "statistics": {
        "acSize": 2.75,
        "dcSize": 3.3,
        "dcacRatio": 1.2,
        "groundCoverageRatio": 40.000000000000014,
        "avgMountingType": 1
      },
      "results": null
    }
  ]
}

Documentation Index

Fetch the complete documentation index at: https://docs.plantpredict.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Pass Authorization: Bearer <token> on every request. See the Authentication section of the API description for how to fetch a token.

Path Parameters

projectId
integer
required

Response

Project overview

id
integer
name
string
country
string
countryCode
string
createdDate
string<date-time>
lastModified
string<date-time>
elevation
number<double>
region
string
standardOffsetFromUTC
number
locality
string
latitude
number<double>
longitude
number<double>
stateProvinceCode
string
status
enum<integer>

ProjectStatusEnum

Available options:
0,
1,
2
predictions
object[]